| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
sys_arch_freertos.c File Reference
`#include "lwip/debug.h"`
`#include "lwip/def.h"`
`#include "lwip/sys.h"`
`#include "lwip/mem.h"`
`#include "lpc_arch.h"`
`#include <stdio.h>`
`#include "arch/sys_arch.h"`
`#include "lwip/opt.h"`
`#include "lwip/stats.h"`

Go to the source code of this file.

## Functions
err_t | sys_mbox_new (sys_mbox_t *pxMailBox, int iSize)
void | sys_mbox_free (sys_mbox_t *pxMailBox)
void | sys_mbox_post (sys_mbox_t *pxMailBox, void *pxMessageToPost)
err_t | sys_mbox_trypost (sys_mbox_t *pxMailBox, void *pxMessageToPost)
u32_t | sys_arch_mbox_fetch (sys_mbox_t *pxMailBox, void **ppvBuffer, u32_t ulTimeOut)
u32_t | sys_arch_mbox_tryfetch (sys_mbox_t *pxMailBox, void **ppvBuffer)
err_t | sys_sem_new (sys_sem_t *pxSemaphore, u8_t ucCount)
u32_t | sys_arch_sem_wait (sys_sem_t *pxSemaphore, u32_t ulTimeout)
err_t | sys_mutex_new (sys_mutex_t *pxMutex)
| Create a new mutex.
void | sys_mutex_lock (sys_mutex_t *pxMutex)
void | sys_mutex_unlock (sys_mutex_t *pxMutex)
void | sys_mutex_free (sys_mutex_t *pxMutex)
void | sys_sem_signal (sys_sem_t *pxSemaphore)
void | sys_sem_free (sys_sem_t *pxSemaphore)
void | sys_init (void)
u32_t | sys_now (void)
sys_thread_t | sys_thread_new (const char *pcName, void(*pxThread)(void *pvParameters), void *pvArg, int iStackSize, int iPriority)
sys_prot_t | sys_arch_protect (void)
void | sys_arch_unprotect (sys_prot_t xValue)
void | sys_assert (const char *pcMessage)

## Function Documentation

u32_t sys_arch_mbox_fetch | ( | sys_mbox_t * | pxMailBox,
|  | void ** | ppvBuffer,
|  | u32_t | ulTimeOut
| ) |  |

Definition at line 178 of file sys_arch_freertos.c.

u32_t sys_arch_mbox_tryfetch | ( | sys_mbox_t * | pxMailBox,
|  | void ** | ppvBuffer
| ) |  |

Definition at line 238 of file sys_arch_freertos.c.

sys_prot_t sys_arch_protect | ( | void |  | ) |

Definition at line 504 of file sys_arch_freertos.c.

u32_t sys_arch_sem_wait | ( | sys_sem_t * | pxSemaphore,
|  | u32_t | ulTimeout
| ) |  |

Definition at line 320 of file sys_arch_freertos.c.

void sys_arch_unprotect | ( | sys_prot_t | xValue | ) |

Definition at line 521 of file sys_arch_freertos.c.

void sys_assert | ( | const char * | pcMessage | ) |

Definition at line 530 of file sys_arch_freertos.c.

void sys_init | ( | void |  | ) |

Definition at line 438 of file sys_arch_freertos.c.

void sys_mbox_free | ( | sys_mbox_t * | pxMailBox | ) |

Definition at line 87 of file sys_arch_freertos.c.

err_t sys_mbox_new | ( | sys_mbox_t * | pxMailBox,
|  | int | iSize
| ) |  |

Definition at line 59 of file sys_arch_freertos.c.

void sys_mbox_post | ( | sys_mbox_t * | pxMailBox,
|  | void * | pxMessageToPost
| ) |  |

Definition at line 117 of file sys_arch_freertos.c.

err_t sys_mbox_trypost | ( | sys_mbox_t * | pxMailBox,
|  | void * | pxMessageToPost
| ) |  |

Definition at line 135 of file sys_arch_freertos.c.

void sys_mutex_free | ( | sys_mutex_t * | pxMutex | ) |

Delete a semaphore

Parameters

  pxMutex | the mutex to delete

Definition at line 398 of file sys_arch_freertos.c.

void sys_mutex_lock | ( | sys_mutex_t * | pxMutex | ) |

Lock a mutex

Parameters

  pxMutex | the mutex to lock

Definition at line 383 of file sys_arch_freertos.c.

err_t sys_mutex_new | ( | sys_mutex_t * | pxMutex | ) |

Create a new mutex.

Parameters

  pxMutex | pointer to the mutex to create

Returns
  a new mutex

Definition at line 362 of file sys_arch_freertos.c.

void sys_mutex_unlock | ( | sys_mutex_t * | pxMutex | ) |

Unlock a mutex

Parameters

  pxMutex | the mutex to unlock

Definition at line 390 of file sys_arch_freertos.c.

u32_t sys_now | ( | void |  | ) |

Definition at line 442 of file sys_arch_freertos.c.

void sys_sem_free | ( | sys_sem_t * | pxSemaphore | ) |

Definition at line 426 of file sys_arch_freertos.c.

err_t sys_sem_new | ( | sys_sem_t * | pxSemaphore,
|  | u8_t | ucCount
| ) |  |

Definition at line 273 of file sys_arch_freertos.c.

void sys_sem_signal | ( | sys_sem_t * | pxSemaphore | ) |

Definition at line 413 of file sys_arch_freertos.c.

sys_thread_t sys_thread_new | ( | const char * | pcName,
|  | void(*)(void *pvParameters) | pxThread,
|  | void * | pvArg,
|  | int | iStackSize,
|  | int | iPriority
| ) |  |

Definition at line 465 of file sys_arch_freertos.c.